Problema ao instalar Lutris (Fedora 33)

Recentemente eu ganhei uma maquina nova, e decide testar o Fedora nela.

Eu atualizei, reiniciei, e tava tudo show de bola, até que eu decidi tentar instalar a Steam/Lutris pelo DNF.

Tentei instalar a Steam, porem dava um erro de conflito com o MESA/Vulkan, tentei pelo Flatpak, e tudo funcionou normal. Tentei instalar o Lutris, e o MESMO erro voltou a aparecer, e infelizmente o Lutris não tem no Flatpak. Alguma ajuda?

O que está no meu Log:

[gustavo@localhost ~]$ sudo dnf install lutris
Última verificação de data de vencimento de metadados: 1:48:52 atrás em sex 19 mar 2021 14:27:14.
Dependências resolvidas.

Pacote Arq. Versão Repo Tamanho

Instalando:
lutris x86_64 0.5.8.3-3.fc33 updates 827 k
Instalando dependências:
cabextract x86_64 1.9-5.fc33 fedora 50 k
elfutils-libelf i686 0.183-1.fc33 updates 200 k
expat i686 2.2.8-3.fc33 fedora 106 k
glibc i686 2.32-4.fc33 updates 3.4 M
libFAudio x86_64 21.03.05-1.fc33 updates 107 k
libX11 i686 1.6.12-3.fc33 updates 690 k
libX11-xcb i686 1.6.12-1.fc33 fedora 11 k
libXau i686 1.0.9-4.fc33 fedora 31 k
libXdamage i686 1.1.5-3.fc33 fedora 22 k
libXext i686 1.3.4-4.fc33 fedora 42 k
libXfixes i686 5.0.3-12.fc33 fedora 19 k
libXxf86vm i686 1.1.4-14.fc33 fedora 19 k
libdrm i686 2.4.102-2.fc33 fedora 173 k
libedit i686 3.1-33.20191231cvs.fc33 fedora 108 k
libffi i686 3.1-26.fc33 fedora 32 k
libgcc i686 10.2.1-9.fc33 updates 108 k
libglvnd i686 1:1.3.2-2.fc33 fedora 141 k
libglvnd-glx i686 1:1.3.2-2.fc33 fedora 153 k
libpciaccess i686 0.16-3.fc33 fedora 29 k
libselinux i686 3.1-2.fc33 fedora 90 k
libsepol i686 3.1-3.fc33 fedora 338 k
libstdc++ i686 10.2.1-9.fc33 updates 660 k
libvkd3d x86_64 1.2-1.fc33 fedora 142 k
libvkd3d-shader x86_64 1.2-1.fc33 fedora 114 k
libwayland-client i686 1.18.0-2.fc33 fedora 32 k
libxcb i686 1.13.1-5.fc33 fedora 243 k
libxshmfence i686 1.3-7.fc33 fedora 12 k
llvm-libs i686 11.0.0-1.fc33 updates 24 M
mesa-dri-drivers i686 20.3.4-2.fc33 updates 20 M
mesa-filesystem i686 20.3.4-2.fc33 updates 16 k
mesa-libGL i686 20.3.4-2.fc33 updates 192 k
mesa-libOSMesa x86_64 20.3.4-2.fc33 updates 3.1 M
mesa-libglapi i686 20.3.4-2.fc33 updates 55 k
mesa-vulkan-drivers i686 20.3.4-2.fc33 updates 4.3 M
ncurses-libs i686 6.2-3.20200222.fc33 fedora 350 k
pcre2 i686 10.36-4.fc33 updates 229 k
python3-evdev x86_64 1.1.2-9.fc33 fedora 64 k
python3-pyyaml x86_64 5.4.1-1.fc33 updates 194 k
spirv-tools-libs x86_64 2020.5-1.20200803.git92a7165.fc33 fedora 1.1 M
unixODBC x86_64 2.3.9-1.fc33 updates 460 k
vulkan-loader i686 1.2.148.1-1.fc33 updates 131 k
wine-filesystem noarch 6.3-1.fc33 updates 1.5 M
xorg-x11-server-Xephyr x86_64 1.20.10-1.fc33 updates 1.0 M
zlib i686 1.2.11-23.fc33 updates 94 k
Instalando dependências fracas:
wine-core x86_64 6.3-1.fc33 updates 81 M

Resumo da transação

Instalar 46 Pacotes

Tamanho total: 145 M
Tamanho depois de instalado: 777 M
Correto? [s/N]: s
Baixando pacotes:
[SKIPPED] elfutils-libelf-0.183-1.fc33.i686.rpm: Already downloaded
[SKIPPED] glibc-2.32-4.fc33.i686.rpm: Already downloaded
[SKIPPED] libFAudio-21.03.05-1.fc33.x86_64.rpm: Already downloaded
[SKIPPED] libX11-1.6.12-3.fc33.i686.rpm: Already downloaded
[SKIPPED] libgcc-10.2.1-9.fc33.i686.rpm: Already downloaded
[SKIPPED] libstdc+±10.2.1-9.fc33.i686.rpm: Already downloaded
[SKIPPED] llvm-libs-11.0.0-1.fc33.i686.rpm: Already downloaded
[SKIPPED] lutris-0.5.8.3-3.fc33.x86_64.rpm: Already downloaded
[SKIPPED] mesa-dri-drivers-20.3.4-2.fc33.i686.rpm: Already downloaded
[SKIPPED] mesa-filesystem-20.3.4-2.fc33.i686.rpm: Already downloaded
[SKIPPED] mesa-libGL-20.3.4-2.fc33.i686.rpm: Already downloaded
[SKIPPED] mesa-libOSMesa-20.3.4-2.fc33.x86_64.rpm: Already downloaded
[SKIPPED] mesa-libglapi-20.3.4-2.fc33.i686.rpm: Already downloaded
[SKIPPED] mesa-vulkan-drivers-20.3.4-2.fc33.i686.rpm: Already downloaded
[SKIPPED] pcre2-10.36-4.fc33.i686.rpm: Already downloaded
[SKIPPED] python3-pyyaml-5.4.1-1.fc33.x86_64.rpm: Already downloaded
[SKIPPED] unixODBC-2.3.9-1.fc33.x86_64.rpm: Already downloaded
[SKIPPED] vulkan-loader-1.2.148.1-1.fc33.i686.rpm: Already downloaded
[SKIPPED] wine-core-6.3-1.fc33.x86_64.rpm: Already downloaded
[SKIPPED] wine-filesystem-6.3-1.fc33.noarch.rpm: Already downloaded
[SKIPPED] xorg-x11-server-Xephyr-1.20.10-1.fc33.x86_64.rpm: Already downloaded
[SKIPPED] zlib-1.2.11-23.fc33.i686.rpm: Already downloaded
[SKIPPED] cabextract-1.9-5.fc33.x86_64.rpm: Already downloaded
[SKIPPED] expat-2.2.8-3.fc33.i686.rpm: Already downloaded
[SKIPPED] libX11-xcb-1.6.12-1.fc33.i686.rpm: Already downloaded
[SKIPPED] libXau-1.0.9-4.fc33.i686.rpm: Already downloaded
[SKIPPED] libXdamage-1.1.5-3.fc33.i686.rpm: Already downloaded
[SKIPPED] libXext-1.3.4-4.fc33.i686.rpm: Already downloaded
[SKIPPED] libXfixes-5.0.3-12.fc33.i686.rpm: Already downloaded
[SKIPPED] libXxf86vm-1.1.4-14.fc33.i686.rpm: Already downloaded
[SKIPPED] libdrm-2.4.102-2.fc33.i686.rpm: Already downloaded
[SKIPPED] libedit-3.1-33.20191231cvs.fc33.i686.rpm: Already downloaded
[SKIPPED] libffi-3.1-26.fc33.i686.rpm: Already downloaded
[SKIPPED] libglvnd-1.3.2-2.fc33.i686.rpm: Already downloaded
[SKIPPED] libglvnd-glx-1.3.2-2.fc33.i686.rpm: Already downloaded
[SKIPPED] libpciaccess-0.16-3.fc33.i686.rpm: Already downloaded
[SKIPPED] libselinux-3.1-2.fc33.i686.rpm: Already downloaded
[SKIPPED] libsepol-3.1-3.fc33.i686.rpm: Already downloaded
[SKIPPED] libvkd3d-1.2-1.fc33.x86_64.rpm: Already downloaded
[SKIPPED] libvkd3d-shader-1.2-1.fc33.x86_64.rpm: Already downloaded
[SKIPPED] libwayland-client-1.18.0-2.fc33.i686.rpm: Already downloaded
[SKIPPED] libxcb-1.13.1-5.fc33.i686.rpm: Already downloaded
[SKIPPED] libxshmfence-1.3-7.fc33.i686.rpm: Already downloaded
[SKIPPED] ncurses-libs-6.2-3.20200222.fc33.i686.rpm: Already downloaded
[SKIPPED] python3-evdev-1.1.2-9.fc33.x86_64.rpm: Already downloaded
[SKIPPED] spirv-tools-libs-2020.5-1.20200803.git92a7165.fc33.x86_64.rpm: Already downloaded

Total 6.0 GB/s | 145 MB 00:00
Executando verificação da transação
Verificação de transação completa.
Executando teste de transação
Os pacotes baixados foram salvos no cache até a próxima transação bem sucedida.
Você pode remover os pacotes em cache executando 'dnf clean packages'.
Erro: Erro no teste de transação:
o arquivo /usr/share/doc/glibc/NEWS da instalação de glibc-2.32-4.fc33.i686 conflita com o arquivo do pacote glibc-2.32-1.fc33.x86_64
o arquivo /usr/share/gcc-10/python/libstdcxx/pycache/init.cpython-39.opt-1.pyc da instalação de libstdc+±10.2.1-9.fc33.i686 conflita com o arquivo do pacote libstdc+±10.2.1-3.fc33.x86_64
o arquivo /usr/share/gcc-10/python/libstdcxx/pycache/init.cpython-39.pyc da instalação de libstdc+±10.2.1-9.fc33.i686 conflita com o arquivo do pacote libstdc+±10.2.1-3.fc33.x86_64
o arquivo /usr/share/gcc-10/python/libstdcxx/v6/pycache/init.cpython-39.opt-1.pyc da instalação de libstdc+±10.2.1-9.fc33.i686 conflita com o arquivo do pacote libstdc+±10.2.1-3.fc33.x86_64
o arquivo /usr/share/gcc-10/python/libstdcxx/v6/pycache/init.cpython-39.pyc da instalação de libstdc+±10.2.1-9.fc33.i686 conflita com o arquivo do pacote libstdc+±10.2.1-3.fc33.x86_64
o arquivo /usr/share/gcc-10/python/libstdcxx/v6/pycache/printers.cpython-39.opt-1.pyc da instalação de libstdc+±10.2.1-9.fc33.i686 conflita com o arquivo do pacote libstdc+±10.2.1-3.fc33.x86_64
o arquivo /usr/share/gcc-10/python/libstdcxx/v6/pycache/printers.cpython-39.pyc da instalação de libstdc+±10.2.1-9.fc33.i686 conflita com o arquivo do pacote libstdc+±10.2.1-3.fc33.x86_64
o arquivo /usr/share/gcc-10/python/libstdcxx/v6/pycache/xmethods.cpython-39.opt-1.pyc da instalação de libstdc+±10.2.1-9.fc33.i686 conflita com o arquivo do pacote libstdc+±10.2.1-3.fc33.x86_64
o arquivo /usr/share/gcc-10/python/libstdcxx/v6/pycache/xmethods.cpython-39.pyc da instalação de libstdc+±10.2.1-9.fc33.i686 conflita com o arquivo do pacote libstdc+±10.2.1-3.fc33.x86_64
o arquivo /usr/share/gcc-10/python/libstdcxx/v6/printers.py da instalação de libstdc+±10.2.1-9.fc33.i686 conflita com o arquivo do pacote libstdc+±10.2.1-3.fc33.x86_64
o arquivo /usr/share/locale/en@boldquot/LC_MESSAGES/elfutils.mo da instalação de elfutils-libelf-0.183-1.fc33.i686 conflita com o arquivo do pacote elfutils-libelf-0.181-1.fc33.x86_64
o arquivo /usr/share/locale/en@quot/LC_MESSAGES/elfutils.mo da instalação de elfutils-libelf-0.183-1.fc33.i686 conflita com o arquivo do pacote elfutils-libelf-0.181-1.fc33.x86_64
o arquivo /usr/share/locale/es/LC_MESSAGES/elfutils.mo da instalação de elfutils-libelf-0.183-1.fc33.i686 conflita com o arquivo do pacote elfutils-libelf-0.181-1.fc33.x86_64
o arquivo /usr/share/locale/ja/LC_MESSAGES/elfutils.mo da instalação de elfutils-libelf-0.183-1.fc33.i686 conflita com o arquivo do pacote elfutils-libelf-0.181-1.fc33.x86_64
o arquivo /usr/share/locale/pl/LC_MESSAGES/elfutils.mo da instalação de elfutils-libelf-0.183-1.fc33.i686 conflita com o arquivo do pacote elfutils-libelf-0.181-1.fc33.x86_64
o arquivo /usr/share/locale/uk/LC_MESSAGES/elfutils.mo da instalação de elfutils-libelf-0.183-1.fc33.i686 conflita com o arquivo do pacote elfutils-libelf-0.181-1.fc33.x86_64
o arquivo /usr/share/vulkan/implicit_layer.d/VkLayer_MESA_device_select.json da instalação de mesa-vulkan-drivers-20.3.4-2.fc33.i686 conflita com o arquivo do pacote mesa-vulkan-drivers-20.2.0-2.fc33.x86_64
o arquivo /usr/share/drirc.d/00-mesa-defaults.conf da instalação de mesa-dri-drivers-20.3.4-2.fc33.i686 conflita com o arquivo do pacote mesa-dri-drivers-20.2.0-2.fc33.x86_64

Posso estar enganado, mas você chegou a instalar o Wine antes de instalar o Lutris? Existem algumas coisas que as duas “aplicações” compartilham…

cara, tenta rodar um:

sudo dnf repoquery --duplicates

se brotar muitas mensagens na tua tela, simplismente roda um

sudo dnf remove --duplicates

4 Curtidas

provavelmente deve estar dando erro por causa de alguma atualização passada sua, o primeiro comando mostra se tem algo conflitando, o segundo, se tiver, remove os conflitos

cara, funcionou, valeu!!